Listar documentos
curl --request GET \
--url https://api.malga.io/v1/sellers/documents \
--header 'X-Api-Key: <api-key>' \
--header 'X-Client-Id: <api-key>'import requests
url = "https://api.malga.io/v1/sellers/documents"
headers = {
"X-Client-Id": "<api-key>",
"X-Api-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-Client-Id': '<api-key>', 'X-Api-Key': '<api-key>'}};
fetch('https://api.malga.io/v1/sellers/documents', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"type": "SELFIE",
"status": "uploaded",
"expiresAt": "2026-04-15T18:00:00.000Z"
}
],
"meta": {
"totalItems": 123,
"itemCount": 123,
"itemsPerPage": 123,
"totalPages": 123,
"currentPage": 123
}
}Sellers
Listar documentos
Lista os documentos do cliente autenticado. Documentos expirados não são retornados.
GET
/
v1
/
sellers
/
documents
Listar documentos
Query Parameters
Filtrar por status do documento
Available options:
uploaded, attached, sent Filtrar por tipo do documento
Available options:
SELFIE, CNH_FULL, CNH_FRONT, CNH_BACK, RG_FRONT, RG_BACK Filtrar documentos criados a partir desta data (ISO 8601)
Itens por página (máximo 50)
Número da página
Ordenação por data de criação
Available options:
ASC, DESC Was this page helpful?
⌘I